Revision: 41522
          http://brlcad.svn.sourceforge.net/brlcad/?rev=41522&view=rev
Author:   starseeker
Date:     2010-12-06 22:46:51 +0000 (Mon, 06 Dec 2010)

Log Message:
-----------
More regress script tweaks - for now I'm committing the addition of my current 
cmake build dir to the library.sh script, but this needs to become a configure 
file that CMake generates with the right path info.

Modified Paths:
--------------
    brlcad/branches/cmake/regress/iges.sh
    brlcad/branches/cmake/regress/library.sh
    brlcad/branches/cmake/regress/shaders.sh
    brlcad/branches/cmake/regress/spdi.sh

Modified: brlcad/branches/cmake/regress/iges.sh
===================================================================
--- brlcad/branches/cmake/regress/iges.sh       2010-12-06 22:30:23 UTC (rev 
41521)
+++ brlcad/branches/cmake/regress/iges.sh       2010-12-06 22:46:51 UTC (rev 
41522)
@@ -48,7 +48,18 @@
     exit 1
 fi
 
+GIGES="`ensearch g-iges`"
+if test ! -f "$MGED" ; then
+    echo "Unable to find g-iges, aborting"
+    exit 1
+fi
 
+IGESG="`ensearch iges-g`"
+if test ! -f "$MGED" ; then
+    echo "Unable to find iges-g, aborting"
+    exit 1
+fi
+
 rm -f iges.log iges.g iges_file.iges iges_stdout_new.g iges_new.g 
iges_stdout.iges iges_file.iges
 
 STATUS=0
@@ -64,10 +75,10 @@
 q
 EOF
 
-../src/conv/iges/g-iges -o iges_file.iges iges.g box.nmg 2>> iges.log> 
/dev/null
-../src/conv/iges/g-iges iges.g box.nmg > iges_stdout.iges 2>> iges.log
+$GIGES -o iges_file.iges iges.g box.nmg 2>> iges.log> /dev/null
+$GIGES iges.g box.nmg > iges_stdout.iges 2>> iges.log
 
-../src/conv/iges/iges-g -o iges_new.g -p iges_file.iges 2>> iges.log
+$IGESG -o iges_new.g -p iges_file.iges 2>> iges.log
 
 if [ $? != 0 ] ; then
     echo g-iges/iges-g FAILED
@@ -77,7 +88,7 @@
 fi
 
 
-../src/conv/iges/iges-g -o iges_stdout_new.g -p iges_stdout.iges 2>> iges.log
+$IGESG -o iges_stdout_new.g -p iges_stdout.iges 2>> iges.log
 
 if [ $? != 0 ] ; then
     echo g-iges/iges-g FAILED

Modified: brlcad/branches/cmake/regress/library.sh
===================================================================
--- brlcad/branches/cmake/regress/library.sh    2010-12-06 22:30:23 UTC (rev 
41521)
+++ brlcad/branches/cmake/regress/library.sh    2010-12-06 22:46:51 UTC (rev 
41522)
@@ -50,7 +50,7 @@
 
 ensearch ( ) {
     ensearch_file="$1"
-    ensearch_dirs="../src $ARG1/src $PATH_TO_THIS/../src"
+    ensearch_dirs="$ARG1/../cmake-build/bin ../src $ARG1/src 
$PATH_TO_THIS/../src"
 
     if test "x$ensearch_file" = "x" ; then
        # nothing to do

Modified: brlcad/branches/cmake/regress/shaders.sh
===================================================================
--- brlcad/branches/cmake/regress/shaders.sh    2010-12-06 22:30:23 UTC (rev 
41521)
+++ brlcad/branches/cmake/regress/shaders.sh    2010-12-06 22:46:51 UTC (rev 
41522)
@@ -66,8 +66,6 @@
     exit 1
 fi
 
-pwd
-
 EAGLECAD=eagleCAD-512x438.pix
 rm -f shaders.rt shaders.g shaders.rt.pix shaders.pixdiff.log shaders.rt.log 
shaders.log shaders.txt shaders.dat $EAGLECAD shaders.mged
 

Modified: brlcad/branches/cmake/regress/spdi.sh
===================================================================
--- brlcad/branches/cmake/regress/spdi.sh       2010-12-06 22:30:23 UTC (rev 
41521)
+++ brlcad/branches/cmake/regress/spdi.sh       2010-12-06 22:46:51 UTC (rev 
41522)
@@ -48,7 +48,25 @@
     exit 1
 fi
 
+RT="`ensearch rt`"
+if test ! -f "$RT" ; then
+       echo "Unable to find rt, aborting"
+       exit 1
+fi
 
+PIXDIFF="`ensearch pixdiff`"
+if test ! -f "$PIXDIFF" ; then
+       echo "Unable to find pixdiff, aborting"
+       exit 1
+fi
+
+ASC2PIX="`ensearch asc2pix`"
+if test ! -f "$ASC2PIX" ; then
+       echo "Unable to find asc2pix, aborting"
+       exit 1
+fi
+
+
 rm -f spdi.g spdi.log spdi spdi.pix spdi_mged.log spdi.mged
 
 cat > spdi.mged <<EOF
@@ -95,7 +113,7 @@
 
 echo "rendering..."
 
-../src/rt/rt -M -B -o spdi.pix spdi.g 'all.g' 2>> spdi.log <<EOF
+$RT -M -B -o spdi.pix spdi.g 'all.g' 2>> spdi.log <<EOF
 viewsize 3.200000000000000e+03;
 orientation 0.000000000000000e+00 0.000000000000000e+00 0.000000000000000e+00 
1.000000000000000e+00;
 eye_pt 0.000000000000000e+00 0.000000000000000e+00 2.413000000000000e+03;
@@ -103,8 +121,8 @@
 end;
 
 EOF
-../src/conv/asc2pix < $1/regress/spdipix.asc > spdi_ref.pix
-../src/util/pixdiff spdi.pix spdi_ref.pix > spdi_diff.pix 2>> spdi.log
+$ASC2PIX < $1/regress/spdipix.asc > spdi_ref.pix
+$PIXDIFF spdi.pix spdi_ref.pix > spdi_diff.pix 2>> spdi.log
 NUMBER_WRONG=`tr , '\012' < spdi.log | awk '/many/ {print $1}'`
 echo "spdi.pix $NUMBER_WRONG off by many"
 


This was sent by the SourceForge.net collaborative development platform, the 
world's largest Open Source development site.

------------------------------------------------------------------------------
What happens now with your Lotus Notes apps - do you make another costly 
upgrade, or settle for being marooned without product support? Time to move
off Lotus Notes and onto the cloud with Force.com, apps are easier to build,
use, and manage than apps on traditional platforms. Sign up for the Lotus 
Notes Migration Kit to learn more. http://p.sf.net/sfu/salesforce-d2d
_______________________________________________
BRL-CAD Source Commits mailing list
[email protected]
https://lists.sourceforge.net/lists/listinfo/brlcad-commits

Reply via email to